This is TangentCone.info, produced by Macaulay2, version 1.21

TangentCone -- tangent cones
****************************

Description
===========

This package provides a single function that computes the tangent cone at a
point.

Authors
=======

  * Craig Huneke <huneke@math.ku.edu>
  * David Eisenbud <de@msri.org>

Version
=======

This documentation describes version 1.0 of TangentCone.

Source code
===========

The source code from which this documentation is derived is in the file
TangentCone.m2 (see common/share/Macaulay2/TangentCone.m2 ).

Exports
=======

  * Functions and commands
      * "tangentCone" -- see tangentCone(Ideal),
  * Methods
      * tangentCone(Ideal)

For the programmer
==================

The object TangentCone, is a package (Macaulay2Doc).

tangentCone(Ideal)
******************

Synopsis
========

  * Function: tangentCone,
  * Usage:
        tangentCone I
  * Inputs:
      * I, an ideal (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * Strategy => ..., default value Local, Local or Global
  * Outputs:
      * an ideal (Macaulay2Doc), the ideal of the tangent cone of
        the subvariety defined by I at the point defined by the variables of
        the ring, with a minimal set of generators

Description
===========

The tangent cone is the ideal that defines gr(R/I), where R is the ring
containing I, and gr is the associated graded ring formed with respect to
maximal ideal generated by the variables.

The algorithm follows the method of Proposition 15.28 in the book Commutative
Algebra with a View Toward Algebraic Geometry by David Eisenbud (Springer,
Graduate Texts in Mathematics, volume 150).

+------------------------------------------------------+
|i1 : R = QQ[x,y,z]                                    |
|                                                      |
|o1 = R                                                |
|                                                      |
|o1 : PolynomialRing                                   |
+------------------------------------------------------+
|i2 : tangentCone ideal "xz-y3,yz-x4,z2-x3y2"          |
|                                                      |
|             2             4                          |
|o2 = ideal (z , y*z, x*z, y )                         |
|                                                      |
|o2 : Ideal of R                                       |
+------------------------------------------------------+
|i3 : tangentCone ideal "z2-x5,zx-y3"                  |
|                                                      |
|             2        3    6                          |
|o3 = ideal (z , x*z, y z, y )                         |
|                                                      |
|o3 : Ideal of R                                       |
+------------------------------------------------------+
|i4 : tangentCone ideal "x3+x2z2,x2y+xz3+z5"           |
|                                                      |
|             2    3   2 3        5      6     7     9 |
|o4 = ideal (x y, x , x z , 2x*y*z  - x*z , x*z , y*z )|
|                                                      |
|o4 : Ideal of R                                       |
+------------------------------------------------------+
|i5 : betti oo                                         |
|                                                      |
|            0 1                                       |
|o5 = total: 1 6                                       |
|         0: 1 .                                       |
|         1: . .                                       |
|         2: . 2                                       |
|         3: . .                                       |
|         4: . 1                                       |
|         5: . .                                       |
|         6: . 1                                       |
|         7: . 1                                       |
|         8: . .                                       |
|         9: . 1                                       |
|                                                      |
|o5 : BettiTally                                       |
+------------------------------------------------------+

Ways to use this method:
========================

  * tangentCone(Ideal)